# BuildFeatures

@ServiceScope(value = BuildTree::class)
interface BuildFeatures

Provides information about various build features supported by Gradle, and their state in the current build.

An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

#### Since

8.5

#### See also

BuildFeature

## Functions

getConfigurationCache
Link copied to clipboard
abstract fun getConfigurationCache(): BuildFeature
Status of the Configuration Cache feature configuration in the build.
getIsolatedProjects
Link copied to clipboard
abstract fun getIsolatedProjects(): BuildFeature
Status of the Isolated Projects feature in the build.